### Method

# Ggit DiffFormatEmailOptions set_id

#### Declaration [src]

    void
    ggit_diff_format_email_options_set_id (
      GgitDiffFormatEmailOptions* options,
      GgitOId* id
    )

#### Description [src]

Set the object id.

Sets property | `Ggit.DiffFormatEmailOptions:id`

#### Parameters

`id`

  Type: `GgitOId`

  A `GgitOId`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.